commit:     c4f0b49c1de3d1b4a2522bdb5737489615132c0d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 15 09:37:46 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 15 09:39:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4f0b49c

dev-python/python-dotenv: Use PEP517 build

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../python-dotenv/python-dotenv-0.19.2-r2.ebuild   | 44 ++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/dev-python/python-dotenv/python-dotenv-0.19.2-r2.ebuild 
b/dev-python/python-dotenv/python-dotenv-0.19.2-r2.ebuild
new file mode 100644
index 000000000000..ca2e2965a5f9
--- /dev/null
+++ b/dev-python/python-dotenv/python-dotenv-0.19.2-r2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Manage .env files"
+HOMEPAGE="https://github.com/theskumar/python-dotenv";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="
+       test? (
+               >=dev-python/click-5[${PYTHON_USEDEP}]
+               dev-python/ipython[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               >=dev-python/sh-1.09[${PYTHON_USEDEP}]
+       )"
+
+DOCS=( CHANGELOG.md README.md )
+
+PATCHES=(
+       # rename the entry point (note: old name is needed in tests)
+       # https://bugs.gentoo.org/798648
+       # also fix syntax since it doesn't seem to work anymore
+       # https://bugs.gentoo.org/833389
+       "${FILESDIR}"/python-dotenv-0.19.2-entry-points.patch
+)
+
+distutils_enable_tests pytest
+
+src_install() {
+       distutils-r1_src_install
+
+       # Avoid collision with dev-ruby/dotenv (bug #798648)
+       rm "${D}"/usr/bin/dotenv || die
+}

Reply via email to